Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Interface RMIRemoteSearchable

All Superinterfaces:
  Closeable, Remote, Searchable

All Known Implementing Classes:
  RemoteSearchable

Deprecated. This package (all of contrib/remote) will be removed in 4.0.

    @Deprecated
    public interface RMIRemoteSearchable

extends Searchable, Remote

Marker interface to enable subclasses of `Searchable` to be used via Java RMI. Classes implementing this interface can be used as a RMI - "remote object".

`RMIRemoteSearchable` extends `Searchable` and can transparently be used as a such.

Example usage:

       RMIRemoteSearchable remoteObject = ...;
       String remoteObjectName = ...;
       Naming.rebind (remoteObjectName, remoteObject);
       Searchable luceneSearchable = (Searchable) Naming.lookup (remoteObjectName);

Method Summary

Methods inherited from interface org.apache.lucene.search.Searchable
`close, doc, doc, docFreq, docFreqs, explain, maxDoc, rewrite, search, search, search`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD